Micro-Cap 6
Global User Defines...available to all circuits
.MODEL PULSE22 PUL (VZERO=7 VONE=5 P1=100N P2=100N P3=500N P4=500N P5=1U)
*Diode power dissipation
.define DPWR(D) I(D)*V(D)
*BJT power dissipation
.define BPWR(Q) IC(Q)*VCE(Q)+IB(Q)*VBE(Q)
*FET power dissipation...for MOSFETS, JFETS, GaAsFets
.define FPWR(M) ID(M)*VDS(M)

*Diode power dissipation warning
.define HOTD(D,MAX) IF((V(D)*I(D)>MAX),1,0)
*BJT power dissipation warning
.define HOTB(Q,MAX) IF((VCE(Q)*IC(Q)+IB(Q)*VBE(Q)>MAX),1,0)
*FET power dissipation warning
.define HOTF(M,MAX) IF((VDS(M)*ID(M)>MAX),1,0)
